PostgreSQL 7.2.1 Documentation
Prev |  | Next

# getlo

## Name

getlo -- builds a large object from given `oid` [LO]

## Synopsis

    getlo(oid)

### Parameters

`oid`

  `OID` of the existing large object (integer).

### Return Type

pglarge

  Object handling the PostgreSQL large object.

### Exceptions

TypeError

  Bad argument type or too many arguments.

pg.error

  Invalid connection.

## Description

`getlo()` method allows to reuse a formerly created large object through the `pglarge` interface, providing the user have its `oid`.

Prev | Home | Next
locreate | Up | loimport